Bug 13325 - authentication error running 'startx'
Summary: authentication error running 'startx'
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-02 05:26 UTC by Jeremy Katz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-03 05:10:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Katz 2000-07-02 05:26:18 UTC
Using XFree86-4.0-29, I get the following error trying to run X as a normal
user (either with a 3.3.6 or a 4.0 server -- both use Xwrapper) 

	Authentication failed - cannot start X server.
	Perhaps you do not have console ownership?

PAM configuration for xserver looks sane to me and I've logged in as the
user on the console and /dev/console is writable, so I'm not sure how the
auth is failing.

Comment 1 Jeremy Katz 2000-07-03 05:10:00 UTC
Fix as suggested by Hans de Goede on testers-list is to add
/etc/security/console.apps/xserver to the XFree86 rpm.  This does work to fix
the problem

Comment 2 Bill Nottingham 2000-07-03 05:22:42 UTC
Will be fixed in 0.30 and later builds. Thanks for the bug report!


Note You need to log in before you can comment on or make changes to this bug.